/\ ATFGraph /docs
README Downloads
HTTP API & schemas / ATFGraph
Framework reference

This article is retained from the existing framework docs. Self-hosting commands and server-admin access differ from the managed CLI workflow. Start with Get started for the installed product.

Runtime settings API

Manage namespace settings documents. Save changes first, then apply them separately when they should affect the running process.

Operations

OperationMethodPath
listRuntimeSettingsGET/api/v2/runtime/settings
getRuntimeSettingsGET/api/v2/runtime/settings/{key}
putRuntimeSettingsPUT/api/v2/runtime/settings/{key}
deleteRuntimeSettingsDELETE/api/v2/runtime/settings/{key}
applyRuntimeSettingsPOST/api/v2/runtime/settings/{key}/apply

listRuntimeSettings

GET /api/v2/runtime/settings

Requires: invoke role

Generated Python client internals: atfgraph._generated.api.runtime_settings_api.RuntimeSettingsApi.list_runtime_settings()

Parameters

ParameterInRequiredType
scopequerynostring

Responses

StatusBodyMeaning
200RuntimeSettingsListSuccessful operation
400ErrorResponseStructured API error
401ErrorResponseMissing or invalid credentials
403ErrorResponseRole or ownership denied
404ErrorResponseResource unavailable to this identity
409ErrorResponseRevision, idempotency, immutable version or lease conflict
413ErrorResponseStructured API error
422ErrorResponseCapability input/output schema violation
429ErrorResponseCapacity exceeded
500ErrorResponseStructured API error
503ErrorResponseStructured API error

Example response 200

{
  "items": [
    {
      "bytes": 0,
      "created_at": 0,
      "created_by": "string",
      "document": {},
      "key": "string",
      "namespace": "string",
      "revision": 0,
      "scope": "string",
      "updated_at": 0,
      "updated_by": "string"
    }
  ],
  "limit": 0,
  "namespace": "string",
  "scope": "string",
  "total": 0
}

getRuntimeSettings

GET /api/v2/runtime/settings/{key}

Requires: invoke role

Generated Python client internals: atfgraph._generated.api.runtime_settings_api.RuntimeSettingsApi.get_runtime_settings()

Parameters

ParameterInRequiredType
keypathyesstring
scopequerynostring

Responses

StatusBodyMeaning
200RuntimeSettingsDocumentSuccessful operation
400ErrorResponseStructured API error
401ErrorResponseMissing or invalid credentials
403ErrorResponseRole or ownership denied
404ErrorResponseResource unavailable to this identity
409ErrorResponseRevision, idempotency, immutable version or lease conflict
413ErrorResponseStructured API error
422ErrorResponseCapability input/output schema violation
429ErrorResponseCapacity exceeded
500ErrorResponseStructured API error
503ErrorResponseStructured API error

Example response 200

{
  "bytes": 0,
  "created_at": 0,
  "created_by": "string",
  "document": {},
  "key": "string",
  "namespace": "string",
  "revision": 0,
  "scope": "string",
  "updated_at": 0,
  "updated_by": "string"
}

putRuntimeSettings

PUT /api/v2/runtime/settings/{key}

Requires: invoke role

Generated Python client internals: atfgraph._generated.api.runtime_settings_api.RuntimeSettingsApi.put_runtime_settings()

Parameters

ParameterInRequiredType
keypathyesstring

Responses

StatusBodyMeaning
200RuntimeSettingsWrittenSuccessful operation
400ErrorResponseStructured API error
401ErrorResponseMissing or invalid credentials
403ErrorResponseRole or ownership denied
404ErrorResponseResource unavailable to this identity
409ErrorResponseRevision, idempotency, immutable version or lease conflict
413ErrorResponseStructured API error
422ErrorResponseCapability input/output schema violation
429ErrorResponseCapacity exceeded
500ErrorResponseStructured API error
503ErrorResponseStructured API error

Example response 200

{
  "bytes": 0,
  "created": false,
  "key": "string",
  "namespace": "string",
  "previous_revision": 0,
  "revision": 0,
  "scope": "string",
  "updated_at": 0,
  "updated_by": "string"
}

deleteRuntimeSettings

DELETE /api/v2/runtime/settings/{key}

Requires: invoke role

Generated Python client internals: atfgraph._generated.api.runtime_settings_api.RuntimeSettingsApi.delete_runtime_settings()

Parameters

ParameterInRequiredType
keypathyesstring

Responses

StatusBodyMeaning
200RuntimeSettingsDeletedSuccessful operation
400ErrorResponseStructured API error
401ErrorResponseMissing or invalid credentials
403ErrorResponseRole or ownership denied
404ErrorResponseResource unavailable to this identity
409ErrorResponseRevision, idempotency, immutable version or lease conflict
413ErrorResponseStructured API error
422ErrorResponseCapability input/output schema violation
429ErrorResponseCapacity exceeded
500ErrorResponseStructured API error
503ErrorResponseStructured API error

Example response 200

{
  "deleted": false,
  "deleted_revision": 0,
  "key": "string",
  "namespace": "string",
  "scope": "string"
}

applyRuntimeSettings

POST /api/v2/runtime/settings/{key}/apply

Requires: invoke role

Generated Python client internals: atfgraph._generated.api.runtime_settings_api.RuntimeSettingsApi.apply_runtime_settings()

Parameters

ParameterInRequiredType
keypathyesstring

Responses

StatusBodyMeaning
200RuntimeSettingsAppliedSuccessful operation
400ErrorResponseStructured API error
401ErrorResponseMissing or invalid credentials
403ErrorResponseRole or ownership denied
404ErrorResponseResource unavailable to this identity
409ErrorResponseRevision, idempotency, immutable version or lease conflict
413ErrorResponseStructured API error
422ErrorResponseCapability input/output schema violation
429ErrorResponseCapacity exceeded
500ErrorResponseStructured API error
503ErrorResponseStructured API error

Example response 200

{
  "applied_at": 0,
  "applied_by": "string",
  "applied_live": false,
  "applied_revision": 0,
  "effective": false,
  "effective_values": {},
  "instance_id": "string",
  "key": "string",
  "pending_restart": [
    "string"
  ],
  "restart_required": false,
  "revision": 0,
  "scope": "string",
  "shadowed": [
    "string"
  ]
}
ATFGraph documentationHosted workflow · Framework reference